MB_RD_RECORD Struct Reference

Hash records of the inter-mode transform results. More...

`#include <block.h>`

## Data Fields

MB_RD_INFO | mb_rd_info [8]
int | index_start
| Index to insert the newest rd record.
int | num
| Number of info stored in this record.
CRC32C | crc_calculator
| Hash function.

## Detailed Description

Hash records of the inter-mode transform results.

Hash records of the inter-mode transform results for a whole partition block based on the residue. Since this operates on the partition block level, this can give us a whole txfm partition tree.

## Field Documentation

## mb_rd_info

MB_RD_INFO MB_RD_RECORD::mb_rd_info[8]

Circular buffer that stores the inter-mode txfm results of a partition block.

The documentation for this struct was generated from the following file:

- av1/encoder/block.h